6.0.0-git
2017-06-27

[#10519] work week view in dynamic mode
Summary work week view in dynamic mode
Queue Kronolith
Queue Version Git master
Type Enhancement
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester rsalmon (at) mbpgroup (dot) com
Created 2011-09-15 (2112 days ago)
Due
Updated 2012-08-29 (1763 days ago)
Assigned
Resolved 2011-11-15 (2051 days ago)
Milestone 3.1
Patch Yes

History
2012-08-29 12:25:01 Git Commit Comment #13 Reply to this comment
Changes have been made in Git (master):

commit db71c46002302def4aafa204f2d544071bf24bef
Author: Jan Schneider <jan@horde.org>
Date:   Tue Nov 15 06:48:33 2011 +0100

     [jan] Add work week view to dynamic interface 
(rsalmon@mbpgroup.com, Request #10519).

  kronolith/docs/CHANGES                 |    2 +
  kronolith/js/kronolith.js              |  106 +++++++++++++++++++++----------
  kronolith/package.xml                  |    1 +
  kronolith/templates/index/index.inc    |   12 ++--
  kronolith/templates/index/workweek.inc |   71 +++++++++++++++++++++
  kronolith/themes/default/screen.css    |   33 +++++++---
  kronolith/themes/silver/ie7.css        |    3 +
  kronolith/themes/silver/ie8.css        |    3 +
  kronolith/themes/silver/screen.css     |    6 ++
  9 files changed, 188 insertions(+), 49 deletions(-)

http://git.horde.org/horde-git/-/commit/db71c46002302def4aafa204f2d544071bf24bef
2011-11-15 14:47:08 rsalmon (at) mbpgroup (dot) com Comment #12 Reply to this comment
Why does it matter which version it will have?
It doesn't. I was just hopping to see the new "work week view" 
function released sooner than April 2012 and make our users happy.

2011-11-15 14:19:04 Jan Schneider Comment #11 Reply to this comment
Why does it matter which version it will have?
2011-11-15 14:02:31 rsalmon (at) mbpgroup (dot) com Comment #10 Reply to this comment
April 2012.
:-(

Looking at http://www.horde.org/apps/kronolith/roadmap, Kronolith 4.0 
is planned for April 2012

This ticket is set for Milestone 3.1. Is Kronolith 3.1 due for April 
2012 as well ?

Thanks.
2011-11-15 13:29:06 Jan Schneider Comment #9 Reply to this comment
April 2012.
2011-11-15 08:33:13 rsalmon (at) mbpgroup (dot) com Comment #8 Reply to this comment
Tweaked and committed. Great work, many thanks!
More than happy to contribute ;)

Do you have an approximate time of release for 3.1 ? weeks, months ... 
years  (hope not!)


2011-11-15 07:12:04 Jan Schneider Comment #7
Assigned to Jan Schneider
State ⇒ Resolved
Milestone ⇒ 3.1
Reply to this comment
Tweaked and committed. Great work, many thanks!
2011-11-15 06:12:42 Jan Schneider Deleted Original Message
 
2011-11-14 17:02:56 rsalmon (at) mbpgroup (dot) com Comment #6
New Attachment: workweek4.patch Download
Reply to this comment
The patch looks really nice, there's only one issue: You can't rely 
on changes in horde.js, because that's a BC break. (Beside that you 
added the new method twice to horde.js).
It should be sufficient to use moveToEndOfWeek() and then move 2 days back.
If you fix this and make sure that the patch applies cleanly to the 
develop branch, we can integrate it. I'm a a bit afraid that this 
might cause space issues in the button bar, but that's a different 
story.
I've updated the patch.


2011-11-14 16:14:50 Jan Schneider Comment #5
State ⇒ Feedback
Patch ⇒ Yes
Reply to this comment
The patch looks really nice, there's only one issue: You can't rely on 
changes in horde.js, because that's a BC break. (Beside that you added 
the new method twice to horde.js).
It should be sufficient to use moveToEndOfWeek() and then move 2 days back.
If you fix this and make sure that the patch applies cleanly to the 
develop branch, we can integrate it. I'm a a bit afraid that this 
might cause space issues in the button bar, but that's a different 
story.
2011-11-14 16:05:14 Jan Schneider Deleted Original Message
 
2011-11-14 16:05:05 Jan Schneider Deleted Original Message
 
2011-09-22 08:47:05 rsalmon (at) mbpgroup (dot) com Comment #4
New Attachment: workweek3.patch
Reply to this comment
with the patch attached, everything looks good.

[/var/www/html]# patch -u -p0 -d /var/www/html/horde/ <workweek3.patch

this patch only works with the default theme.


2011-09-15 14:30:39 rsalmon (at) mbpgroup (dot) com Comment #3
New Attachment: workweekv2.patch
Reply to this comment
some typos
2011-09-15 13:47:46 rsalmon (at) mbpgroup (dot) com Comment #2
New Attachment: workweek.patch
Reply to this comment
I've started to work on a patch and it nearly works.

The working week shows 5 days, but events are working with 7 days :-(


2011-09-15 13:35:34 rsalmon (at) mbpgroup (dot) com Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ work week view in dynamic mode
Queue ⇒ Kronolith
Milestone ⇒
Patch ⇒ No
Reply to this comment
"work week" view is available in traditional mode, but not in dynamic mode.

Saved Queries